Subject: Re: bug#55184: XFS partition could not be created on NVMe disk via parted command
From: "Brian C. Lane" <[email-masked]>
To: Hossein Ojani <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Apr 2022 08:41:31 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Apr 29, 2022 at 09:12:25AM -0400, Hossein Ojani wrote:
> Hi Team,
> 
> I am writing this email to you because of an error that I've been
> encountering using parted command on a NVMe disk.
> 
> Using an Ubuntu 20.04 dist, I've been trying to create partitions on a NVMe
> disk though I see errors. Below I will put just one of the conditions that
> I've faced errors, but there are several.

> *(parted) mkpart extended xfs 1074MB 1574MB *
> Error: Invalid number.

That's because an extended partition is a container for logical
partitions, it doesn't have a filesystem on it, the logical partition
does.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart